namespace TaxBaik.Infrastructure.Repositories;

using System.Data;
using TaxBaik.Domain.Interfaces;

public abstract class BaseRepository(IDbConnectionFactory connectionFactory)
{
    protected readonly IDbConnectionFactory _connectionFactory = connectionFactory;

    protected IDbConnection Conn() => _connectionFactory.CreateConnection();
}
